Name:          efl
Version:       1.26.3
Release:       2mamba
Summary:       Collection of Enlightenment libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.enlightenment.org/
Source:        http://download.enlightenment.org/rel/libs/efl/efl-%{version}.tar.xz
Patch1:        efl-1.25.1-arm-with-aarch64_kernel.patch
License:       BSD, GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libavahi-devel
BuildRequires: libbullet-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgcc
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libheif-devel
BuildRequires: libibus-devel
BuildRequires: libinput-devel
BuildRequires: libjpeg-devel
BuildRequires: libluajit-devel
BuildRequires: libmesa-devel
BuildRequires: libmount-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-cpp-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libraw-devel
BuildRequires: librsvg-devel
BuildRequires: libscim-devel
BuildRequires: libsndfile-devel
BuildRequires: libspectre-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libudev-devel
BuildRequires: libunwind-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libwebp-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libbullet-devel >= 3.25-1mamba
BuildRequires: libheif-devel
BuildRequires: scons
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Collection of Enlightenment libraries.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n libecore
Group:         System/Libraries
Summary:       A clean and tiny event loop library with many modules

%description -n libecore
Ecore is a clean and tiny event loop library with many modules to do lots of convenient things for a programmer, to save time and effort.

%package -n libeet
Group:         System/Libraries
Summary:       A tiny library designed to write an arbitary set of chunks of data to a file

%description -n libeet
Eet is a tiny library designed to write an arbitary set of chunks of data to a file and optionally compress each chunk (very much like a zip file) and allow fast random-access reading of the file later on. It does not do zip as a zip itself has more complexity than is needed, and it was much simpler to implement this once here.
It also can encode and decode data structures in memory, as well as image data for saving to eet files or sending across the network to other machines, or just writing to arbitary files on the system. All data is encoded in a platform independant way and can be written and read by any architecture.

%package -n libevas
Group:         System/Libraries
Summary:       A clean display canvas API that implements a scene graph, not an immediate-mode rendering target

%description -n libevas
Evas is a clean display canvas API that implements a scene graph, not an immediate-mode rendering target, is cross-platform, for several target display systems that can draw anti-aliased text, smooth super and sub-sampled scaled images, alpha-blend objects and much more.

%package -n libeina
Group:         System/Libraries
Summary:       A library providing data structure utilities for EFL

%description -n libeina
Eina is a library providing data structure utilities for EFL that are meant to be lean, efficient and tailored to EFL's needs. This saves each library implementing its own custom datatype handling and duplicating the code.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libecore = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libeet = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      libeet-devel
Obsoletes:     libeet-devel <= 1.7.9
Provides:      libecore-devel
Obsoletes:     libecore-devel <= 1.7.9
Provides:      libevas-devel
Obsoletes:     libevas-devel <= 1.7.9
Provides:      libeina-devel
Obsoletes:     libeina-devel <= 1.7.9

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%ifarch arm
%patch 1 -p1
%endif

%build
#:<< _EOF
%meson \
 -Dxinput22=true \
 -Dsystemd=true \
 -Dphysics=true \
 -Dharfbuzz=true \
 -Davahi=true \
%ifnarch arm aarch64
 -Dbindings=lua,cxx \
 -Dlua-interpreter=luajit \
 -Delua=true \
%else
 -Dbindings=cxx \
 -Dlua-interpreter=lua \
%endif
 -Dfb=true \
 -Ddrm=true \
 -Dwl=true \
 -Dglib=true \
 -Devas-loaders-disabler=json,avif \
 -Dbindings= \
 -Dbuild-examples=false \
 -Dbuild-tests=false \
 -Decore-imf-loaders-disabler=

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post -n libecore -p /sbin/ldconfig
%postun -n libecore -p /sbin/ldconfig

%post -n libeet -p /sbin/ldconfig
%postun -n libeet -p /sbin/ldconfig

%post -n libevas -p /sbin/ldconfig
%postun -n libevas -p /sbin/ldconfig

%post -n libeina -p /sbin/ldconfig
%postun -n libeina -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/diffeet
%{_bindir}/ecore_evas_convert
%{_bindir}/edje_*
%{_bindir}/eet
%{_bindir}/eetpack
%{_bindir}/eeze_*
%{_bindir}/efl_*
%{_bindir}/efreetd
%{_bindir}/eina_*
%{_bindir}/eldbus-codegen
%{_bindir}/elementary_*
%{_bindir}/elm_prefs_cc
%ifarch x86_64 %{ix86}
%{_bindir}/elua
%endif
%{_bindir}/embryo_cc
%{_bindir}/eo_debug
%{_bindir}/eolian_gen
%{_bindir}/ethumb
%{_bindir}/ethumbd
%{_bindir}/ethumbd_client
%{_bindir}/exactness*
%{_bindir}/vieet
%{_userunitdir}/ethumb.service
%dir %{_datadir}/eolian/include
%{_datadir}/eolian/include/*
%dir %{_datadir}/icons/Enlightenment-X
%{_datadir}/icons/Enlightenment-X/*
%{_datadir}/applications/elementary_config.desktop
%{_datadir}/applications/elementary_perf.desktop
%{_datadir}/applications/elementary_test.desktop
%{_datadir}/mime/packages/edje.xml
%{_datadir}/mime/packages/evas.xml
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/ecore/checkme
%{_datadir}/ecore_imf/checkme
%{_datadir}/ecore_x/checkme
%{_datadir}/edje/include/edje.inc
%{_datadir}/eeze/checkme
%{_datadir}/efreet/checkme
%{_datadir}/evas/checkme
%dir %{_datadir}/elementary
%{_datadir}/elementary/*
%dir %{_datadir}/elua
%{_datadir}/elua/*
%{_datadir}/embryo/include/default.inc
%{_datadir}/emotion/checkme
%{_datadir}/eo/gdb/eo_gdb.py
%{_datadir}/ethumb/checkme
%{_datadir}/ethumb/frames/default.edj
%{_datadir}/ethumb_client/checkme
#%{_datadir}/evas/checkme
%{_datadir}/evas/filters/lua/color.lua
%{_datadir}/exactness/player_entry.edj
%{_datadir}/gdb/auto-load/usr/lib/libeo.so.%{version}-gdb.py
%{_datadir}/icons/hicolor/128x128/apps/elementary.png

%files -n libecore
%defattr(-,root,root)
%{_libdir}/libecore.so.*
%{_libdir}/libecore_*.so.*
%dir %{_libdir}/ecore
%{_libdir}/ecore/system/systemd/v-*/module.so
%{_libdir}/ecore/system/upower/v-*/module.so
%{_libdir}/ecore_con/utils/v-*/efl_net_proxy_helper
%{_libdir}/ecore_evas/engines/drm/v-*/module.so
%{_libdir}/ecore_evas/engines/extn/v-*/module.so
%{_libdir}/ecore_evas/engines/fb/v-*/module.so
%{_libdir}/ecore_evas/engines/wayland/v-*/module.so
%{_libdir}/ecore_evas/engines/x/v-*/module.so
%{_libdir}/ecore_imf/modules/ibus/v-*/module.so
%{_libdir}/ecore_imf/modules/scim/v-*/module.so
%{_libdir}/ecore_imf/modules/wayland/v-*/module.so
%{_libdir}/ecore_imf/modules/xim/v-*/module.so
%{_libdir}/ecore_wl2/engines/dmabuf/v-*/module.so
%doc AUTHORS COPYING

%files -n libeet
%defattr(-,root,root)
%{_libdir}/libeet.so.*
%doc AUTHORS COPYING

%files -n libeina
%defattr(-,root,root)
%{_libdir}/libeina.so.*
%doc AUTHORS COPYING

%files -n libevas
%defattr(-,root,root)
%{_libdir}/libevas.so.*
%dir %{_libdir}/evas/modules/engines
%{_libdir}/evas/modules/engines/*
%dir %{_libdir}/evas/modules/image_loaders
%{_libdir}/evas/modules/image_loaders/*
%dir %{_libdir}/evas/modules/image_savers
%{_libdir}/evas/modules/image_savers/*
%dir %{_libdir}/evas/utils
%{_libdir}/evas/utils/evas_generic_pdf_loader.*
%{_libdir}/evas/utils/evas_image_loader.*
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libector.so.*
%{_libdir}/libedje.so.*
%{_libdir}/libeeze.so.*
%{_libdir}/libefl.so.*
%{_libdir}/libefl_canvas_wl.so.*
%{_libdir}/libefreet.so.*
%{_libdir}/libefreet_mime.so.*
%{_libdir}/libefreet_trash.so.*
%{_libdir}/libeio.so.*
%{_libdir}/libeldbus.so.*
%{_libdir}/libelementary.so.*
%{_libdir}/libelput.so.*
%ifarch x86_64 %{ix86}
%{_libdir}/libelua.so.*
%endif
%{_libdir}/libembryo.so.*
%{_libdir}/libemile.so.*
%{_libdir}/libemotion.so.*
%{_libdir}/libeo.so.*
%{_libdir}/libeo_dbg.so.*
%{_libdir}/libeolian.so.*
%{_libdir}/libephysics.so.*
%{_libdir}/libethumb.so.*
%{_libdir}/libethumb_client.so.*
%{_libdir}/libexactness_play.so.*
%{_libdir}/libexactness_record.so.*
%dir %{_libdir}/edje
%{_libdir}/edje/modules/elm/v-*/module.so
%{_libdir}/edje/modules/emotion/v-*/module.so
%{_libdir}/edje/utils/v-*/epp
%dir %{_libdir}/eeze
%{_libdir}/eeze/modules/sensor/fake/v-*/module.so
%{_libdir}/eeze/modules/sensor/udev/v-*/module.so
%dir %{_libdir}/efreet
%{_libdir}/efreet/v-*/efreet_desktop_cache_create
%{_libdir}/efreet/v-*/efreet_icon_cache_create
%{_libdir}/efreet/v-*/efreet_mime_cache_create
%{_libdir}/elementary/modules/access_output/v-*/module.so
%{_libdir}/elementary/modules/prefs/v-*/module.so
%{_libdir}/elementary/modules/test_entry/v-*/module.so
%{_libdir}/elementary/modules/test_map/v-*/module.so
%{_libdir}/elementary/modules/web/none/v-*/module.so
%{_libdir}/emotion/modules/gstreamer1/v-*/module.so
%{_libdir}/ethumb/modules/emotion/v-*/module.so
%{_libdir}/ethumb_client/utils/v-*/ethumbd_slave
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/ecore-*
%{_includedir}/ecore-*/*
%dir %{_includedir}/edje-1
%{_includedir}/edje-1/*
%dir %{_includedir}/eet-1
%{_includedir}/eet-1/*
%dir %{_includedir}/eeze-1
%{_includedir}/eeze-1/*
%dir %{_includedir}/efl-1
%{_includedir}/efl-1/*
%dir %{_includedir}/efl-canvas-wl-1
%{_includedir}/efl-canvas-wl-1/*
%dir %{_includedir}/efreet-1
%{_includedir}/efreet-1/*
%dir %{_includedir}/eina-1
%{_includedir}/eina-1/*.h
%dir %{_includedir}/eina-1/eina
%{_includedir}/eina-1/eina/*
%dir %{_includedir}/eio-1
%{_includedir}/eio-1/*
%dir %{_includedir}/eldbus-1
%{_includedir}/eldbus-1/*
%dir %{_includedir}/elementary-1
%{_includedir}/elementary-1/*
%dir %{_includedir}/elput-1
%{_includedir}/elput-1/*
%ifarch x86_64 %{ix86}
%dir %{_includedir}/elua-1
%{_includedir}/elua-1/Elua.h
%endif
%dir %{_includedir}/embryo-1
%{_includedir}/embryo-1/*
%dir %{_includedir}/emile-1
%{_includedir}/emile-1/*
%dir %{_includedir}/emotion-1
%{_includedir}/emotion-1/*
%dir %{_includedir}/eo-1
%{_includedir}/eo-1/*
%dir %{_includedir}/eolian-1
%{_includedir}/eolian-1/*
%dir %{_includedir}/ephysics-1
%{_includedir}/ephysics-1/*
%dir %{_includedir}/ethumb-1
%{_includedir}/ethumb-1/*
%dir %{_includedir}/ethumb-client-1
%{_includedir}/ethumb-client-1/*
%dir %{_includedir}/evas-1
%{_includedir}/evas-1/*.h
%dir %{_includedir}/evas-1/canvas
%{_includedir}/evas-1/canvas/*
%dir %{_includedir}/evas-1/gesture
%{_includedir}/evas-1/gesture/*
%dir %{_libdir}/cmake/Ecore
%{_libdir}/cmake/Ecore/Ecore*.cmake
%dir %{_libdir}/cmake/EcoreCxx
%{_libdir}/cmake/EcoreCxx/EcoreCxx*.cmake
%dir %{_libdir}/cmake/Edje
%{_libdir}/cmake/Edje/EdjeConfig*.cmake
%dir %{_libdir}/cmake/Eet
%{_libdir}/cmake/Eet/EetConfig*.cmake
%dir %{_libdir}/cmake/EetCxx
%{_libdir}/cmake/EetCxx/EetCxx*.cmake
%dir %{_libdir}/cmake/Eeze
%{_libdir}/cmake/Eeze/EezeConfig*.cmake
%dir %{_libdir}/cmake/Efl
%{_libdir}/cmake/Efl/EflConfig*.cmake
%dir %{_libdir}/cmake/Efreet
%{_libdir}/cmake/Efreet/EfreetConfig*.cmake
%dir %{_libdir}/cmake/Eina
%{_libdir}/cmake/Eina/EinaConfig*.cmake
%dir %{_libdir}/cmake/EinaCxx
%{_libdir}/cmake/EinaCxx/EinaCxx*.cmake
%dir %{_libdir}/cmake/Eio
%{_libdir}/cmake/Eio/EioConfig*.cmake
%dir %{_libdir}/cmake/Eldbus
%{_libdir}/cmake/Eldbus/EldbusConfig*.cmake
%dir %{_libdir}/cmake/Elementary
%{_libdir}/cmake/Elementary/ElementaryConfig*.cmake
%dir %{_libdir}/cmake/Elua
%{_libdir}/cmake/Elua/EluaConfig*.cmake
%dir %{_libdir}/cmake/Emile
%{_libdir}/cmake/Emile/EmileConfig*.cmake
%dir %{_libdir}/cmake/Emotion
%{_libdir}/cmake/Emotion/EmotionConfig*.cmake
%dir %{_libdir}/cmake/Eo
%{_libdir}/cmake/Eo/EoConfig*.cmake
%dir %{_libdir}/cmake/EoCxx
%{_libdir}/cmake/EoCxx/EoCxxConfig*.cmake
%dir %{_libdir}/cmake/Eolian
%{_libdir}/cmake/Eolian/Eolian*.cmake
%dir %{_libdir}/cmake/EolianCxx
%{_libdir}/cmake/EolianCxx/EolianCxxConfig*.cmake
%dir %{_libdir}/cmake/Ethumb
%{_libdir}/cmake/Ethumb/EthumbConfig*.cmake
%dir %{_libdir}/cmake/EthumbClient
%{_libdir}/cmake/EthumbClient/EthumbClient*.cmake
%dir %{_libdir}/cmake/Evas
%{_libdir}/cmake/Evas/EvasConfig*.cmake
%dir %{_libdir}/cmake/EvasCxx
%{_libdir}/cmake/EvasCxx/EvasCxxConfig*.cmake
%{_libdir}/libecore.so
%{_libdir}/libecore_*.so
%{_libdir}/libector.so
%{_libdir}/libedje.so
%{_libdir}/libeet.so
%{_libdir}/libeeze.so
%{_libdir}/libefl.so
%{_libdir}/libefl_canvas_wl.so
%{_libdir}/libefreet.so
%{_libdir}/libefreet_mime.so
%{_libdir}/libefreet_trash.so
%{_libdir}/libeina.so
%{_libdir}/libeio.so
%{_libdir}/libeldbus.so
%{_libdir}/libelementary.so
%{_libdir}/libelput.so
%ifarch x86_64 %{ix86}
%{_libdir}/libelua.so
%endif
%{_libdir}/libembryo.so
%{_libdir}/libemile.so
%{_libdir}/libemotion.so
%{_libdir}/libeo.so
%{_libdir}/libeo_dbg.so
%{_libdir}/libeolian.so
%{_libdir}/libephysics.so
%{_libdir}/libethumb.so
%{_libdir}/libethumb_client.so
%{_libdir}/libevas.so
%{_libdir}/libexactness_play.so
%{_libdir}/libexactness_record.so
%{_libdir}/pkgconfig/ecore-audio.pc
%{_libdir}/pkgconfig/ecore-avahi.pc
%{_libdir}/pkgconfig/ecore-con.pc
%{_libdir}/pkgconfig/ecore-drm2.pc
%{_libdir}/pkgconfig/ecore-evas.pc
%{_libdir}/pkgconfig/ecore-fb.pc
%{_libdir}/pkgconfig/ecore-file.pc
%{_libdir}/pkgconfig/ecore-imf-evas.pc
%{_libdir}/pkgconfig/ecore-imf.pc
%{_libdir}/pkgconfig/ecore-input-evas.pc
%{_libdir}/pkgconfig/ecore-input.pc
%{_libdir}/pkgconfig/ecore-ipc.pc
%{_libdir}/pkgconfig/ecore-wl2.pc
%{_libdir}/pkgconfig/ecore-x.pc
%{_libdir}/pkgconfig/ecore.pc
%{_libdir}/pkgconfig/ector.pc
%{_libdir}/pkgconfig/edje.pc
%{_libdir}/pkgconfig/eet.pc
%{_libdir}/pkgconfig/eeze.pc
%{_libdir}/pkgconfig/efl-canvas-wl.pc
%{_libdir}/pkgconfig/efl-core.pc
%{_libdir}/pkgconfig/efl-net.pc
%{_libdir}/pkgconfig/efl-ui.pc
%{_libdir}/pkgconfig/efl.pc
%{_libdir}/pkgconfig/efreet-mime.pc
%{_libdir}/pkgconfig/efreet-trash.pc
%{_libdir}/pkgconfig/efreet.pc
%{_libdir}/pkgconfig/eina.pc
%{_libdir}/pkgconfig/eio.pc
%{_libdir}/pkgconfig/eldbus.pc
%{_libdir}/pkgconfig/elementary.pc
%{_libdir}/pkgconfig/elput.pc
%ifarch x86_64 %{ix86}
%{_libdir}/pkgconfig/elua.pc
%endif
%{_libdir}/pkgconfig/embryo.pc
%{_libdir}/pkgconfig/emile.pc
%{_libdir}/pkgconfig/emotion.pc
%{_libdir}/pkgconfig/eo.pc
%{_libdir}/pkgconfig/eolian.pc
%{_libdir}/pkgconfig/ephysics.pc
%{_libdir}/pkgconfig/ethumb-client.pc
%{_libdir}/pkgconfig/ethumb.pc
%{_libdir}/pkgconfig/ethumb_client.pc
%{_libdir}/pkgconfig/evas.pc
%doc ChangeLog NEWS README

%changelog
* Tue Aug 29 2023 Automatic Build System <autodist@mambasoft.it> 1.26.3-2mamba
- rebuilt by autoport with build requirements: libbullet-devel>=3.25-1mamba

* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 1.26.3-1mamba
- automatic version update by autodist

* Tue Jun 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.2-2mamba
- rebuilt by autoport with build requirements: libbullet-devel>=0:3.24-1mamba

* Tue Feb 08 2022 Automatic Build System <autodist@mambasoft.it> 1.26.2-1mamba
- automatic version update by autodist

* Sun Jan 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.1-2mamba
- rebuilt with libbullet 3.21

* Fri Jan 21 2022 Automatic Build System <autodist@mambasoft.it> 1.26.1-1mamba
- automatic version update by autodist

* Wed Dec 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.25.1-1mamba
- package created using the webbuild interface
